package cn.amq.peas;

import cn.amq.basis.AlarmConst;
/**
 * 巡检任务告警
 * @author Lenovo
 *
 */
public class VideoTaskAlarmPeas {

	private String gjxh;//[告警序号]
	private int gjbh;//[告警编号]
	private String alarmEventId;//[告警事件ID]
	private String alarmRuleName;//[告警规则名称]
	private String alarmDeviceName;//[告警设备名称]
	private String alarmDeviceId;//[告警设备编号]
	private String channelNum;//[告警设备通道编号]
	private String alarmGrade;//[告警等级]
	private String alarmReason;//[告警原因]
	private String alarmTime;//[告警时间]
	
	public VideoTaskAlarmPeas(){
		gjbh = AlarmConst.VIDEOTASK_ALARM;
	}

	public String getGjxh() {
		return gjxh;
	}

	public void setGjxh(String gjxh) {
		this.gjxh = gjxh;
	}

	public int getGjbh() {
		return gjbh;
	}

	public void setGjbh(int gjbh) {
		this.gjbh = gjbh;
	}

	public String getAlarmEventId() {
		return alarmEventId;
	}

	public void setAlarmEventId(String alarmEventId) {
		this.alarmEventId = alarmEventId;
	}

	public String getAlarmRuleName() {
		return alarmRuleName;
	}

	public void setAlarmRuleName(String alarmRuleName) {
		this.alarmRuleName = alarmRuleName;
	}

	public String getAlarmDeviceName() {
		return alarmDeviceName;
	}

	public void setAlarmDeviceName(String alarmDeviceName) {
		this.alarmDeviceName = alarmDeviceName;
	}

	public String getAlarmDeviceId() {
		return alarmDeviceId;
	}

	public void setAlarmDeviceId(String alarmDeviceId) {
		this.alarmDeviceId = alarmDeviceId;
	}

	public String getChannelNum() {
		return channelNum;
	}

	public void setChannelNum(String channelNum) {
		this.channelNum = channelNum;
	}

	public String getAlarmGrade() {
		return alarmGrade;
	}

	public void setAlarmGrade(String alarmGrade) {
		this.alarmGrade = alarmGrade;
	}

	public String getAlarmReason() {
		return alarmReason;
	}

	public void setAlarmReason(String alarmReason) {
		this.alarmReason = alarmReason;
	}

	public String getAlarmTime() {
		return alarmTime;
	}

	public void setAlarmTime(String alarmTime) {
		this.alarmTime = alarmTime;
	}

	@Override
	public String toString() {
		return "VideoTaskAlarmPeas [gjxh=" + gjxh + ", gjbh=" + gjbh + ", alarmEventId=" + alarmEventId
				+ ", alarmRuleName=" + alarmRuleName + ", alarmDeviceName=" + alarmDeviceName + ", alarmDeviceId="
				+ alarmDeviceId + ", channelNum=" + channelNum + ", alarmGrade=" + alarmGrade + ", alarmReason="
				+ alarmReason + ", alarmTime=" + alarmTime + "]";
	}
	
	
}
